KDE 4.7 PyKDE API Reference

- KDE's Python API

# Marble Namespace Reference

`from PyKDE4.marble.Marble import *`

## Detailed Description

This file contains the headers for ViewportParams.

Author:
  Inge Wallin <inge@lysator.liu.se>

## Class Index

A | GeoDataLineString (Marble) | MarbleGraphicsGridLayout (Marble)
AbstractDataPlugin (Marble) | GeoDataLineStyle (Marble) | MarbleGraphicsItem (Marble)
AbstractDataPluginItem (Marble) | GeoDataLod (Marble) | MarbleMap (Marble)
AbstractDataPluginModel (Marble) | GeoDataLookAt (Marble) | MarbleModel (Marble)
AbstractFloatItem (Marble) | GeoDataMultiGeometry (Marble) | MarbleNavigator (Marble)
AbstractMarbleGraphicsLayout (Marble) | GeoDataObject (Marble) | MarbleRunnerManager (Marble)
AbstractProjection (Marble) | GeoDataOuterBoundary (Marble) | MarbleWidget (Marble)
AbstractWorkerThread (Marble) | GeoDataPlacemark (Marble) | N
B | GeoDataPoint (Marble) | NavigationWidget (Marble)
BookmarkManager (Marble) | GeoDataPolygon (Marble) | P
C | GeoDataPolyStyle (Marble) | Planet (Marble)
ClipPainter (Marble) | GeoDataRegion (Marble) | PluginAboutDialog (Marble)
CurrentLocationWidget (Marble) | GeoDataStyle (Marble) | PluginInterface (Marble)
D | GeoDataStyleMap (Marble) | PositionTracking (Marble)
DownloadRegionDialog (Marble) | GeoDataStyleSelector (Marble) | Q
F | GeoDocument (Marble) | QtMarbleConfigDialog (Marble)
FileViewWidget (Marble) | GeoGraphicsItem (Marble) | Quaternion (Marble)
FrameGraphicsItem (Marble) | GeoNode (Marble) | Quaternion (Marble)
G | GeoPainter (Marble) | R
GeoDataAbstractView (Marble) | GeoSceneLayer (Marble) | RenderPlugin (Marble)
GeoDataAccuracy (Marble) | L | RenderPluginInterface (Marble)
GeoDataColorStyle (Marble) | LabelGraphicsItem (Marble) | RunnerPlugin (Marble)
GeoDataContainer (Marble) | LatLonBoxWidget (Marble) | S
GeoDataCoordinates (Marble) | LatLonEdit (Marble) | ScreenGraphicsItem (Marble)
GeoDataDocument (Marble) | LayerInterface (Marble) | SunLocator (Marble)
GeoDataFeature (Marble) | LegendWidget (Marble) | T
GeoDataFolder (Marble) | M | TileCoordsPyramid (Marble)
GeoDataGeometry (Marble) | MapThemeManager (Marble) | TileCreator (Marble)
GeoDataHotSpot (Marble) | MapViewWidget (Marble) | TileLevelRangeWidget (Marble)
GeoDataIconStyle (Marble) | MapWizard (Marble) | TinyWebBrowser (Marble)
GeoDataInnerBoundary (Marble) | MarbleAboutDialog (Marble) | V
GeoDataLabelStyle (Marble) | MarbleAbstractRunner (Marble) | ViewParams (Marble)
GeoDataLatLonAltBox (Marble) | MarbleControlBox (Marble) | ViewportParams (Marble)
GeoDataLatLonBox (Marble) | MarbleDirs (Marble) | W
GeoDataLinearRing (Marble) | MarbleGlobal (Marble) | WidgetGraphicsItem (Marble)

## Enumerations
<anonymous> | { Q_X, Q_Y, Q_Z, Q_W }
<anonymous> | { Q_X, Q_Y, Q_Z, Q_W }
AltitudeMode | { ClampToGround, RelativeToGround, Absolute }
AngleUnit | { DMSDegree, DecimalDegree, UTM }
Dimension | { Latitude, Longitude }
DistanceUnit | { NoDistanceUnit, Meter, MilesFeet }
DownloadUsage | { DownloadBulk, DownloadBrowse }
DragLocation | { KeepAxisVertically, FollowMousePointer }
FlyToMode | { Automatic, Instant, Linear, Jump }
GraphicsSystem | { NativeGraphics, RasterGraphics, OpenGLGraphics }
LabelLocalization | { CustomAndNative, Custom, Native }
LabelPositionFlag | { NoLabel, LineStart, LineCenter, LineEnd, IgnoreXMargin, IgnoreYMargin }
MapQuality | { OutlineQuality, LowQuality, NormalQuality, HighQuality, PrintQuality }
MeasureSystem | { Metric, Imperial }
OnStartup | { ShowHomeLocation, LastLocationVisited }
Pole | { AnyPole, NorthPole, SouthPole }
Projection | { Spherical, Equirectangular, Mercator }
ProxyType | { HttpProxy, Socks5Proxy }
TessellationFlag | { NoTessellation, Tessellate, RespectLatitudeCircle, FollowGround, RotationIndicatesFill, SkipLatLonNormalization }
ViewContext | { Still, Animation }
## Functions
bool | operator == (Marble.GeoDataLatLonAltBox lhs, Marble.GeoDataLatLonAltBox rhs)
## Attributes
int | latLonAltBoxSamplingRate
int | tessellationPrecision

## Enumeration Documentation

anonymous

Enumerator:

  Q_X |
  Q_Y |
  Q_Z |
  Q_W |

anonymous

Enumerator:

  Q_X |
  Q_Y |
  Q_Z |
  Q_W |

AltitudeMode

Enumerator:

  ClampToGround |
  RelativeToGround |
  Absolute |

AngleUnit

This enum is used to choose the unit chosen to measure angles.

Enumerator:

  DMSDegree |
  DecimalDegree |
  UTM |

Dimension

This enum is used to choose the dimension.

Enumerator:

  Latitude |
  Longitude |

DistanceUnit

This enum is used to choose the unit chosen to measure distances.

Enumerator:

  NoDistanceUnit = -1 |
  Meter |
  MilesFeet |

DownloadUsage

This enum is used to describe the type of download

Enumerator:

  DownloadBulk |
  DownloadBrowse |

DragLocation

This enum is used to choose how the globe behaves while dragging.

Enumerator:

  KeepAxisVertically |
  FollowMousePointer |

FlyToMode

Describes possible flight mode (interpolation between source and target camera positions)

Enumerator:

  Automatic |
  Instant |
  Linear |
  Jump |

GraphicsSystem

This enum is used to choose which graphics system Qt is using.

Enumerator:

  NativeGraphics |
  RasterGraphics |
  OpenGLGraphics |

LabelLocalization

This enum is used to choose the localization of the labels.

Enumerator:

  CustomAndNative |
  Custom |
  Native |

LabelPositionFlag

This enum is used to choose the localization of the labels.

Enumerator:

  NoLabel = 0x0 |
  LineStart = 0x1 |
  LineCenter = 0x2 |
  LineEnd = 0x4 |
  IgnoreXMargin = 0x8 |
  IgnoreYMargin = 0x10 |

MapQuality

This enum is used to choose the map quality shown in the view.

Enumerator:

  OutlineQuality |
  LowQuality |
  NormalQuality |
  HighQuality |
  PrintQuality |

MeasureSystem

This enum is used to choose the default for many units in marble.

Enumerator:

  Metric |
  Imperial |

OnStartup

This enum is used to choose how the globe behaves while dragging.

Enumerator:

  ShowHomeLocation |
  LastLocationVisited |

Pole

Enumerator:

  AnyPole |
  NorthPole |
  SouthPole |

Projection

This enum is used to choose the projection shown in the view.

Enumerator:

  Spherical |
  Equirectangular |
  Mercator |

ProxyType

This enum is used to specify the proxy that is used.

Enumerator:

  HttpProxy |
  Socks5Proxy |

TessellationFlag

Enumerator:

  NoTessellation = 0x0 |
  Tessellate = 0x1 |
  RespectLatitudeCircle = 0x2 |
  FollowGround = 0x4 |
  RotationIndicatesFill = 0x8 |
  SkipLatLonNormalization = 0x10 |

ViewContext

This enum is used to choose context in which map quality gets used.

Enumerator:

  Still |
  Animation |

## Function Documentation

bool operator == | ( | Marble.GeoDataLatLonAltBox | lhs,
|  | Marble.GeoDataLatLonAltBox | rhs
| ) |  |  |

A class that defines a 3D bounding box for geographic data.

GeoDataLatLonAltBox is a 3D bounding box that describes a geographic area in terms of latitude, longitude and altitude.

The bounding box gets described by assigning the northern, southern, eastern and western boundary. So usually the value of the eastern boundary is bigger than the value of the western boundary. Only if the bounding box crosses the date line then the eastern boundary has got a smaller value than the western one.

## Attribute Documentation

int latLonAltBoxSamplingRate

int tessellationPrecision